SUSE Security Update: Security update for openssl-1_1
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2068-1
Rating:             important
References:         #1185637 #1199166 
Cross-References:   CVE-2022-1292
CVSS scores:
                    CVE-2022-1292 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1292 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Affected Products:
                    SUSE CaaS Platform 4.0
                    SUSE Enterprise Storage 6
                    SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS
                    SUSE Linux Enterprise Server 15-SP1-BCL
                    SUSE Linux Enterprise Server 15-SP1-LTSS
                    SUSE Linux Enterprise Server for SAP 15-SP1
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for openssl-1_1 fixes the following issues:

   - CVE-2022-1292: Fixed command injection in c_rehash (bsc#1199166).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15-SP1:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2022-2068=1

   - SUSE Linux Enterprise Server 15-SP1-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-2068=1

   - SUSE Linux Enterprise Server 15-SP1-BCL:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-BCL-2022-2068=1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-2068=1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-2068=1

   - SUSE Enterprise Storage 6:

      zypper in -t patch SUSE-Storage-6-2022-2068=1

   - SUSE CaaS Platform 4.0:

      To install this update, use the SUSE CaaS Platform 'skuba' tool. It
      will inform you if it detects new updates and let you then trigger
      updating of the complete cluster in a controlled way.



Package List:

   - SUSE Linux Enterprise Server for SAP 15-SP1 (ppc64le x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise Server for SAP 15-SP1 (x86_64):

      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise Server 15-SP1-LTSS (aarch64 ppc64le s390x x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise Server 15-SP1-LTSS (x86_64):

      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise Server 15-SP1-BCL (x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (aarch64 x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (x86_64):

      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (aarch64 x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (x86_64):

      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1

   - SUSE Enterprise Storage 6 (aarch64 x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1

   - SUSE Enterprise Storage 6 (x86_64):

      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1

   - SUSE CaaS Platform 4.0 (x86_64):

      libopenssl-1_1-devel-1.1.0i-150100.14.30.1
      libopenssl-1_1-devel-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-1.1.0i-150100.14.30.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-debuginfo-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-1.1.0i-150100.14.30.1
      libopenssl1_1-hmac-32bit-1.1.0i-150100.14.30.1
      openssl-1_1-1.1.0i-150100.14.30.1
      openssl-1_1-debuginfo-1.1.0i-150100.14.30.1
      openssl-1_1-debugsource-1.1.0i-150100.14.30.1


References:

   https://www.suse.com/security/cve/CVE-2022-1292.html
   https://bugzilla.suse.com/1185637
   https://bugzilla.suse.com/1199166